PortableRemoteObjectDelegate (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Interface PortableRemoteObjectDelegate

public interface PortableRemoteObjectDelegate

Supports delegation for method implementations in `PortableRemoteObject`. The delegate is a singleton instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.PortableRemoteObject`. Delegates are enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.PortableRemoteObjectClass` system property.

See Also:
  `PortableRemoteObject`

Method Summary
`void` | `connect(Remote target, Remote source)` Delegation call for `PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)`.
`void` | `exportObject(Remote obj)` Delegation call for `PortableRemoteObject.exportObject(java.rmi.Remote)`.
`Object` | `narrow(Object narrowFrom, Class narrowTo)` Delegation call for `PortableRemoteObject.narrow(java.lang.Object, java.lang.Class)`.
`Remote` | `toStub(Remote obj)` Delegation call for `PortableRemoteObject.toStub(java.rmi.Remote)`.
`void` | `unexportObject(Remote obj)` Delegation call for `PortableRemoteObject.unexportObject(java.rmi.Remote)`.

Method Detail

### exportObject

    public void exportObject(Remote obj)
                      throws RemoteException

  Delegation call for `PortableRemoteObject.exportObject(java.rmi.Remote)`.

    `RemoteException`

### toStub

    public Remote toStub(Remote obj)
                  throws NoSuchObjectException

  Delegation call for `PortableRemoteObject.toStub(java.rmi.Remote)`.

    `NoSuchObjectException`

### unexportObject

    public void unexportObject(Remote obj)
                        throws NoSuchObjectException

  Delegation call for `PortableRemoteObject.unexportObject(java.rmi.Remote)`.

    `NoSuchObjectException`

### narrow

    public Object narrow(Object narrowFrom,
                         Class narrowTo)
                  throws ClassCastException

  Delegation call for `PortableRemoteObject.narrow(java.lang.Object, java.lang.Class)`.

    `ClassCastException`

### connect

    public void connect(Remote target,
                        Remote source)
                 throws RemoteException

  Delegation call for `PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)`.

    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.